"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var js_cookie_1 = tslib_1.__importDefault(require("js-cookie"));
function useCookie(name, defaultValue) {
    if (defaultValue === void 0) { defaultValue = ""; }
    var _a = (0, react_1.useState)(function () {
        var cookie = js_cookie_1.default.get(name);
        if (cookie)
            return cookie;
        js_cookie_1.default.set(name, defaultValue);
        return defaultValue;
    }), value = _a[0], setValue = _a[1];
    var updateCookie = (0, react_1.useCallback)(function (newValue, options) {
        js_cookie_1.default.set(name, newValue, options);
        setValue(newValue);
    }, [name]);
    var deleteCookie = (0, react_1.useCallback)(function () {
        js_cookie_1.default.remove(name);
        setValue(null);
    }, [name]);
    return [value, updateCookie, deleteCookie];
}
exports.default = useCookie;
