"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
var useTimeout_1 = tslib_1.__importDefault(require("../useTimeout"));
var useEffectOnce_1 = tslib_1.__importDefault(require("../useEffectOnce"));
function useLongPress(ref, callback, delay) {
    if (delay === void 0) { delay = 250; }
    var _a = (0, useTimeout_1.default)(callback, delay), reset = _a.reset, clear = _a.clear;
    (0, useEffectOnce_1.default)(clear);
    (0, useEventListener_1.default)("mousedown", reset, ref.current);
    (0, useEventListener_1.default)("touchstart", reset, ref.current);
    (0, useEventListener_1.default)("mouseup", clear, ref.current);
    (0, useEventListener_1.default)("mouseleave", clear, ref.current);
    (0, useEventListener_1.default)("touchend", clear, ref.current);
}
exports.default = useLongPress;
