"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
function useScrollPosition(ref) {
    var _a = (0, react_1.useState)({ x: 0, y: 0 }), scrollPosition = _a[0], setScrollPosition = _a[1];
    var handleScroll = function () {
        if (ref && ref.current) {
            setScrollPosition({
                x: ref.current.scrollLeft,
                y: ref.current.scrollTop
            });
        }
        else {
            setScrollPosition({
                x: window.scrollX || document.documentElement.scrollLeft,
                y: window.scrollY || document.documentElement.scrollTop
            });
        }
    };
    (0, useEventListener_1.default)("scroll", handleScroll);
    return scrollPosition;
}
;
exports.default = useScrollPosition;
